package org.hso.ecommerce.db;

import org.hso.ecommerce.entities.Article;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Repository
public interface ArticleRepository extends JpaRepository<Article, Long> {

    @Query("SELECT a FROM Article a WHERE a.title = :title")
    List<Article> findByTitle(String title);

    @Query("SELECT a FROM Article a WHERE a.id = :id")
    List<Article> findByID(int id);

    @Query("SELECT a FROM Article a WHERE a.refArticle = :refArticle")
    List<Article> findByRefArticle(int refArticle);
}
